Subject: Re: FVWM: Window Placement Problem

From: Dominik Vogt <[email-masked]>
Date: Sun, 17 Sep 2000 17:51:13 +0200

On Tue, Jul 04, 2000 at 11:41:55AM +0100, Ben Cohen wrote:
> On Tue, 4 Jul 2000, Dominik Vogt wrote:
> 
> >> However, I am still having the problem with Netscape:  I have NS set up to
> >> open its window at the maximum size for the screen.  So I would hope that
> >> fvwm positions it from (0,0) so that it fills the screen exactly with no
> >> edge-gaps.  But it actually appears at (2,2).  This still happens after
> >> applying the patch you sent.  The patch I sent yesterday (where I subtract
> >> 2 from tmp_win->attr.x and y) seems to stop this problem, but as I said I
> >> don't think it is the correct fix.
> >
> >Hm, what did you do to make netscape this big?  Simply enlarge the
> >window and then close it to store the geometry?
> 
> Yes, that is how I did it---either by manually resizing or using the
> maximise button.  I just noticed that you can make it *slightly* by
> resizing which seems to solve it.  (On my screen maximise makes the window
> 1266x985, whereas the largest I can resize manually is 1268x987.)
> 
> So the problem occurs with 
>   netscape -geometry 1267x986+0+0& 
> but not with
>   netscape -geometry 1268x987+0+0& 
> 
> (This is on a 1280x1024 screen with BorderWideth 7.)
> 
> I don't now know whether this is a problem or not.  I think it could
> either be solved by adjusting the size fvwm uses for maximise,  or the
> position the window is placed in (as in the patch mentioned above).

I think fvwm works correctly here but netscape is broken.
In your config you have:

  Style * NoPPosition
  Style * RandomPlacement, SmartPlacement
  GlobalOpts SmartPlacementIsReallySmart

In other words: you are using CleverPlacement and tell fvwm to
ignore program specified size hints.  But if you issue a line
like

  $ netscape -geometry 1268x987+0+0

Netscape claims the provided geometry is *program* specified,
not *user* specified.  Thus, fvwm ignores the given position
and looks for one using the CleverPlacement algorithm.  Please
try if

  Style Navigator UsePPosition

fixes your problem.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].